Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Feature #2500

NA Printed form of screening template - both for Complete and Reject + Collect letter, only for

Complete
02/02/2017 07:14 AM - Oleksii Kurasov

Status: Closed Start date: 02/02/2017
Priority: High Due date: 02/08/2017
Assignee: Oleksii Kurasov % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

See Attachments

History

#1 - 02/06/2017 05:46 AM - Oleksii Kurasov
- Due date changed from 02/03/2017 to 02/06/2017

#2 - 02/07/2017 05:16 AM - Oleksii Kurasov
- Due date changed from 02/06/2017 to 02/08/2017

- Status changed from New to In Progress

#3 - 02/15/2017 09:53 AM - Oleksii Kurasov

- Status changed from In Progress to Resolved

#4 - 02/24/2017 06:25 AM - Oleksii Kurasov

- Status changed from Resolved to Closed

Files

NMRC - SOP FOR SCREENING.docx 656 KB

06/07/2025

02/02/2017

Oleksii Kurasov
